Package org.springframework.http

# Interface RequestEntity.HeadersBuilder<B extends RequestEntity.HeadersBuilder<B>>

Type Parameters:
  `B` - the builder subclass

All Known Subinterfaces:
  `RequestEntity.BodyBuilder`

Enclosing class:
  RequestEntity<T>

public static interface RequestEntity.HeadersBuilder<B extends RequestEntity.HeadersBuilder<B>>
Defines a builder that adds headers to the request entity.

## Method Summary

Modifier and Type
Method
Description
`B`
`accept(MediaType... acceptableMediaTypes)`
Set the list of acceptable media types, as specified by the `Accept` header.
`B`
`acceptCharset(Charset... acceptableCharsets)`
Set the list of acceptable charsets, as specified by the `Accept-Charset` header.
`RequestEntity<Void>`
`build()`
Builds the request entity with no body.
`B`
`header(String headerName, String... headerValues)`
Add the given, single header value under the given name.
`B`
`headers(Consumer<HttpHeaders> headersConsumer)`
Manipulate this entity's headers with the given consumer.
`B`
`headers(HttpHeaders headers)`
Copy the given headers into the entity's headers map.
`B`
`ifModifiedSince(long ifModifiedSince)`
Set the value of the `If-Modified-Since` header.
`B`
`ifModifiedSince(Instant ifModifiedSince)`
Set the value of the `If-Modified-Since` header.
`B`
`ifModifiedSince(ZonedDateTime ifModifiedSince)`
Set the value of the `If-Modified-Since` header.
`B`
`ifNoneMatch(String... ifNoneMatches)`
Set the values of the `If-None-Match` header.

## Method Details

### header

B header(String headerName, String... headerValues)
Add the given, single header value under the given name.

Parameters:
  `headerName` - the header name
  `headerValues` - the header value(s)
Returns:
  this builder
See Also:
  - `HttpHeaders.add(String, String)`

### headers

B headers(@Nullable HttpHeaders headers)
Copy the given headers into the entity's headers map.

Parameters:
  `headers` - the existing HttpHeaders to copy from
Returns:
  this builder
Since:
  5.2
See Also:
  - `HttpHeaders.add(String, String)`

### headers

B headers(Consumer<HttpHeaders> headersConsumer)
Manipulate this entity's headers with the given consumer. The headers provided to the consumer are "live", so that the consumer can be used to overwrite existing header values, remove values, or use any of the other `HttpHeaders` methods.

Parameters:
  `headersConsumer` - a function that consumes the `HttpHeaders`
Returns:
  this builder
Since:
  5.2

### accept

B accept(MediaType... acceptableMediaTypes)
Set the list of acceptable media types, as specified by the `Accept` header.

Parameters:
  `acceptableMediaTypes` - the acceptable media types

### acceptCharset

B acceptCharset(Charset... acceptableCharsets)
Set the list of acceptable charsets, as specified by the `Accept-Charset` header.

Parameters:
  `acceptableCharsets` - the acceptable charsets

### ifModifiedSince

B ifModifiedSince(ZonedDateTime ifModifiedSince)
Set the value of the `If-Modified-Since` header.

Parameters:
  `ifModifiedSince` - the new value of the header
Since:
  5.1.4

### ifModifiedSince

B ifModifiedSince(Instant ifModifiedSince)
Set the value of the `If-Modified-Since` header.

Parameters:
  `ifModifiedSince` - the new value of the header
Since:
  5.1.4

### ifModifiedSince

B ifModifiedSince(long ifModifiedSince)
Set the value of the `If-Modified-Since` header.

The date should be specified as the number of milliseconds since January 1, 1970 GMT.

Parameters:
  `ifModifiedSince` - the new value of the header

### ifNoneMatch

B ifNoneMatch(String... ifNoneMatches)
Set the values of the `If-None-Match` header.

Parameters:
  `ifNoneMatches` - the new value of the header

### build

RequestEntity<Void> build()
Builds the request entity with no body.

Returns:
  the request entity
See Also:
  - `RequestEntity.BodyBuilder.body(Object)`